Subject: Re: [PATCH 0/4] RFC CPSW switchdev mode

From: Andrew Lunn <[email-masked]>
Date: Thu, 24 May 2018 16:54:41 +0200

> There's configuration needs from customers adding or not adding a VLAN to the
> CPU port. In my configuration examples for instance, if the cpu port is not
> added to the bridge, you cannot get an ip address on it. 

If you cannot get an IP address, it is plain broken. The whole idea is
that switch port interfaces are just linux interfaces. A linux
interface which cannot get an IP address is broken.

> Similar cases exist for customers on adding MDBs as far as i know. So they want
> the "customer facing ports" to have the MDBs present but not the cpu port.

That i can understand. And it should actually work now with
switchdev. It performs IGMP snooping, and if there is nothing joining
the group on the CPU, it won't add an MDB entry to forward traffic to
the CPU.

> Adding a cpu port that cannot transmit or receive traffic is a bit "weird"

And how is it supposed to send BPDUs? STP is going to be broken....

    Andrew